Support » Plugin: Easy FancyBox » Updated version of FancyBox library?

  • Resolved Twig

    (@palpatine1976)


    Hi –

    It looks like your plugin uses version 1.3.23 of fancybox. Do you have any plans to upgrade to the latest v3?
    http://fancyapps.com/fancybox/3/

    Seems like a ton more feature in the API… just curious. Plugin works great as-is, but newer is usually better 🙂

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hi @palpatine1976 it’s complicated but the fancybox version you are referring to did not have a GPL or compatible license, so it was not allowed to be included in the Easy FancyBox plugin hosted on WordPress.org. However, at present it appears to be released under a GPL license. But then again, the developer states on his site that this applies only to open source applications, which sounds to me to be in contradiction with the GPL license, even GPLv3. I’m not a lawyer.

    Another reason is that version 3 is so different in appearance that it effectively is a completely different type of light box. Easy FancyBox users chose this plugin exactly for its style and I do not think an upgrade and the resulting change in appearance would be appreciated.

    That said, I am (re)considering to add it as an option. Maybe soon 🙂

    Thread Starter Twig

    (@palpatine1976)

    Gotcha! Thanks for detailed reply – makes total sense.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Updated version of FancyBox library?’ is closed to new replies.